AOT compile not working (for Android)

ZenDroidZenDroid USMember ✭✭✭

This is my repository with a demonstration of the issue.
This is simple standard project with one page. I created archive for publishing(release mode).
If I use "Aot compile" option I get error - "Apk failed to install Error:could not parse error string". If I disable this option than apk is work.
For use my test project update option AndroidSigningKeyStore in ApkSignerIssue.Android.csproj - insert your path. File test.keystore is in folder test.

I use Windows 10. I use Android Api 26. I try Api 25 - it is not work. I try use VS 15.5.7 and 15.8.0(preview) - with "AOT compile" it is not work.
Without this option, XF+Android can not be used - the first load of the app will take 8-10 seconds.

Earlier it worked. But now I can not build a package to release an update to my application.

Xamarin Team - your comments.

Posts

  • batmacibatmaci DEMember ✭✭✭✭✭

    they had some problems with previous version. why dont you update on 15.7.3 version and see if it is working

  • ZenDroidZenDroid USMember ✭✭✭
    edited June 2018

    Because I used 15.7.3 and it does not work. The package is compiled and installed, but when the application starts, the application crashes.
    Because I did an update on 15.5 three times, but now it's not working either.
    Because I have to deal with garbage and find solutions to other people's problems instead of writing code.

  • batmacibatmaci DEMember ✭✭✭✭✭
    Oh this was Problem with bundle into native assemblies. Has it not been solved yet? It was reported as resolved on their github
  • batmacibatmaci DEMember ✭✭✭✭✭
    Haha welcome to xamarin, you can only 30% develope other time you have to fight with xamarin and Visual Studio problems
  • ZenDroidZenDroid USMember ✭✭✭
    edited June 2018

    Hello everybody,
    Downgrade to 15.5.7 working for me now.
    I do not know why this did not work right away, maybe I rebooted the computer. but now it works.
    That's good - I was able to release an update my app.
    And this is very sad - this is my fourth Downgrade in three months(starting from 15.6).
    Archiving the package does not work normally three months, three months, Karl!
    I understand everything very difficult, but three months, with a bunch of reviews about these errors.
    I do not know how Xamarin organized the product testing, but it's very sad. I lost a lot of time.

    When will this work?

  • VulcanVulcan TWMember ✭✭✭
    @ZenDroid
    > Hello everybody,
    > Downgrade to 15.5.7 working for me now.

    How to downgrade the visual studio 2017 to 15.5.7?
  • ZenDroidZenDroid USMember ✭✭✭

    Uninstall current version. Install earlier release

  • Any news on subject?

  • batmacibatmaci DEMember ✭✭✭✭✭

    latest version is working fine. have you tried?

Sign In or Register to comment.